vehicle_id e stage_vehicle_id: os campos não enviados mantêm o valor atual (o veículo continua ativo e com os mesmos vínculos). O stage_vehicle_id precisa ser um estágio padrão ou da sua organização (veja "list stages").{
"vehicle": {
"vehicle_id": 37874,
"stage_vehicle_id": 2
}
}curl --location --request PUT 'https://cgv-prd-vehicle-api.contele.io/api/v2/vehicles' \
--header 'x-api-key: {{api_key}}' \
--header 'Content-Type: application/json' \
--data '{
"vehicle": {
"vehicle_id": 37874,
"stage_vehicle_id": 2
}
}'{
"vehicle": {
"id": 37874,
"status": 1,
"organization_id": 149,
"type_vehicle_id": 2,
"type_fuel_id": 3,
"vehicle_id": 37874,
"name": "VW Constellation 01",
"model": "Constellation",
"plate_number": "ABC-0001",
"tank_capacity": 275,
"icon": "caminhao-grande",
"icon_color": "#4c0192",
"icon_background_color": "#fff",
"documentation_url": "",
"odometer": 0,
"liters_value": 6.5,
"average_fuel_km": 5,
"stage_vehicle_id": 2,
"year_manufacturer": 2025,
"manufacturer": "Volkswagen",
"horimeter": null,
"serial_number": "ac9759b6-a32b-5325-81e7-52b7b4cfa204",
"type_tracker_id": 22,
"national_registry_of_motor_vehicles": null,
"vehicle_document_expire": null,
"tracker_serial_number": "ac9759b6-a32b-5325-81e7-52b7b4cfa204",
"stage_name": "Veículo em manutenção",
"vehicle_driver_id": 0,
"email": [
"email@gmail.com.br"
]
}
}